.TH netwrite 1 2007-10-14 
.SH NAME
netwrite \- write data transported over network for reading using netread
.SH SYNOPSIS
.B netwrite [udp] [-f
.I host
.B ] [-c] [-C
.I algorithm
.B ] [-o
.I file
.B ] [-s] [-b] [-h
.I <n>
.B ] [-H]
.I <n>
.B ] [-q] [-v] [-vv] [-V] [-vV]

.B netwrite
is part of the
.B netrw
package. It is a simple (but powerful) tool for transporting data over the
internet, in conjunction with
.BR netread(1)
.SH DESCRIPTION
The main purpose of
.B netrw
is to simplify and speed up file transfers to hosts without an FTP
server. It can also be used for uploading data to some other user. It
is something like one-way netcat (nc) with some nice features
concerning data transfers. Netrw can compute and check message digest
(MD5, SHA-1, and some others) of all the data being transferred, it
can also print information on progress and average speed. At the end
it sums up the transfer.
.SH OPTIONS
.IP udp
Changes the default TCP protocol can be changed to UDP.
.IP "-f \fIhost\fP"
Works in the firewall mode; connection is initiated by netwrite.
.IP  -c
This option is ignored. Transmission checksum is activated by default.
.IP "-C \fIalgorithm\fP"
Uses the specified algorithm for checksum. This option also implies
.B -c
 . Supported algorithms (the first is default): \fIsha1\fP \fImd5\fP \fIrmd160\fP \fInone\fP
.IP "-o \fI<file>\fP"
Writes data to \fIfile\fP instead of stdout.
.IP  -s
In case \-o option is specified, open the file for
synchronous I/O. Otherwise, this option has no effect.
.IP  -b
print speed in b/s instead of B/s
.IP  "-h \fI<n>\fP"
Prints `#' after each \fIn\fP KiB transferred (def. 10485.76).
.IP  "-H \fI<n>\fP"
Prints `#' after each \fIn\fP MiB transferred (def. 10.24).
.IP  -q
Be quiet.
.IP  -v
Be verbose.
.IP  -vv
Be very verbose.
.IP  -V
Show version.
.IP  -vV
Show verbose version.
.SH "RETURN VALUES"
.IP  0
no errors.
.IP  1
some error occured.
.IP  2
checksum validation failed.
.SH "SEE ALSO"
\&\fInetread\fP(1), /usr/share/doc/netrw/README
.SH AUTHOR
netwrite was written by Jiri Denemark <jirka@ics.muni.cz>. For more
information, visit \fIhttp://www.fi.muni.cz/~xdenemar/netrw\fP
.PP
This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>,
for the Debian project (but may be used by others).
